Trf_RegisterMessageDigest(3)

NAME
Trf_RegisterMessageDigest - Procedure to register a message digest algorithm in an interpreter.

SYNOPSIS
#include <transform.h>

int Trf_RegisterMessageDigest
(
    Tcl_Interp *interp,
    const Trf_MessageDigestDescription *md_desc
);

PARAMETERS

Tcl_Interp *interp
    Interpreter to register the MD algorithm at.

const Trf_MessageDigestDescription *md_desc
    Description of the MD algorithm.

DESCRIPTION
The procedure registers the described MDA at the given interpreter. Return value is a standard tcl error code. In case of failure an error message should be left in the result area of the given interpreter.

SEE ALSO
Trf_Init(3), Trf_SafeInit(3), Trf_IsInitialized(3), Trf_CreateOptions(3), Trf_DeleteOptions(3), Trf_CheckOptions(3), Trf_SetOption(3), Trf_SetObjOption(3), Trf_QueryOptions(3), Trf_SeekQueryOptions(3), Trf_WriteProc(3), Trf_CreateCtrlBlock(3), Trf_DeleteCtrlBlock(3), Trf_TransformCharacter(3), Trf_TransformBuffer(3), Trf_FlushTransformation(3), Trf_ClearCtrlBlock(3), Trf_QueryMaxRead(3), Trf_Register(3), Trf_ConverterOptions(3), Trf_MDStart(3), Trf_MDUpdate(3), Trf_MDUpdateBuf(3), Trf_MDFinal(3), Trf_MDCheck(3), Trf_LoadLibrary(3), Trf_XorBuffer(3), Trf_ShiftRegister(3), Trf_FlipRegisterShort(3), Trf_FlipRegisterLong(3), Trf_InitStubs(3)